///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      UI.H
//
//  Description
//      Declaration of class for DTBLBUTTON controls.
//  Author
//      Les Thaler
//
//  Revision: 1.00
//
// Written for Microsoft Windows Developer Support
// Copyright (c) 1995 Microsoft Corporation. All rights reserved.
//

class CMembersButton : public IMAPIControl
{
    public :
        MAPI_IUNKNOWN_METHODS(IMPL);
        MAPI_IMAPICONTROL_METHODS(IMPL);

        CMembersButton(LPCABCont pCont); 
        ~CMembersButton();

    private :
        LPCABCont m_pCont;
        ULONG     m_cRef;
        HINSTANCE m_hInst;

};

class CBrowseButton : public IMAPIControl
{
    public :
        MAPI_IUNKNOWN_METHODS(IMPL);
        MAPI_IMAPICONTROL_METHODS(IMPL);
        CBrowseButton(HINSTANCE   hInst,
                      ConfigObj * pConfig); 
        ~CBrowseButton();

    private :
        ConfigObj * m_pConfig;
        ULONG       m_cRef;
        HINSTANCE   m_hInst;
};

// End of file for UI.H
