
///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      Advise.cpp
//
//  Author(s)
//      Nishad Mulye
//
//  Revision: 1.00
//

#pragma warning (disable : 4201 4514)

#include "Advise.h"
#include "resource.h"

///////////////////////////////////////////////////////////////////////////////
//    OnNotify()
//
//    Parameters
//      { Refer to Win32 Ext API documentation IAdviseSink::OnNotify }
//
//    Purpose
//      
//    Return Value
//      S_OK if no error occurred
//      
STDMETHODIMP_(ULONG)    CAdviseSink::OnNotify     ( ULONG cNotif,
                                                    LPNOTIFICATION pNotifications)
{
  for (unsigned long i = 0;i < cNotif;i++)
  {
    if (pNotifications[i].ulEventType == fnevSearchComplete)
    {
      PostMessage(m_hWnd,
                  WM_COMMAND,
                  MAKELONG( IDC_FIND_COMPLETE,
                            0),
                  0);
    }
  }
  return S_OK;
}
