
///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      FindMdl.h
//
//  Author(s)
//      Nishad Mulye
//
//  Revision: 1.00
//

#ifndef FINDMDL_H
#define FINDMDL_H

#include <mapix.h>

SBinary*                CopySBinary               ( const SBinary* pSB);
void                    DestroySBinary            ( SBinary* pSB);

HRESULT                 ConstructSearchFolder     ( LPMDB,
                                                    LPMAPIFOLDER*);
HRESULT                 DestroySearchFolder       ( LPMAPIFOLDER);

HRESULT                 SelectMsgStore            ( LPMAPISESSION pSession,
                                                    unsigned long ulIndex,
                                                    LPMDB*        ppMDB);
HRESULT                 ConstructMsgStoreList     ( LPMAPISESSION   pSession,
                                                    char***         pppszStores,
                                                    unsigned long*  pulStores);
HRESULT                 DestroyMsgStoreList       ();

HRESULT                 ConstructFolderTree       ( LPMDB pMDB,
                                                    HWND  hWndTree);
HRESULT                 DestroyFolderTree         ( HWND hWndTree);

#endif
