
///////////////////////////////////////////////////////////////////////////////
//
//  File Name 
//      FindCtlr.h
//
//  Author(s)
//      Nishad Mulye
//
//  Revision: 1.00
//

#ifndef FINDCTLR_H
#define FINDCTLR_H

BOOL                    CtlrInitialize            ( HWND          hWnd,
                                                    HWND          hWndTree,
                                                    HWND          hWndList,
                                                    HWND          hWndLB);
BOOL                    CtlrUninitialize          ( HWND          hWndTree,
                                                    HWND          hWndList);
BOOL                    CtlrFind                  ( HWND          hWndTree,
                                                    HWND          hWndList,
                                                    char*         pszSender,
                                                    char*         pszRecip,
                                                    char*         pszSubject,
                                                    char*         pszBody,
                                                    BOOL          fRecurse);
BOOL                    CtlrStopFind              ();
BOOL                    CtlrChangeStore           ( HWND          hWndTree,
                                                    HWND          hWndList,
                                                    unsigned long ulIndex);
BOOL                    CtlrDisplayMessage        ( HWND          hWndList);
HRESULT                 CtlrConstructMsgList      ( HWND          hWndList);
HRESULT                 CtlrDestroyMsgList        ( HWND          hWndList);


#endif